> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create registry user

> Create a new user for accessing the container registry.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml post /cloud/v1/registries/{project_id}/{region_id}/{registry_id}/users
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-07T20:33:46.548242+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/registries/{project_id}/{region_id}/{registry_id}/users:
    post:
      tags:
        - Registry
      summary: Create registry user
      description: Create a new user for accessing the container registry.
      operationId: RegistryUsersHandler.post
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            type: integer
        - in: path
          name: registry_id
          required: true
          description: Registry ID
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RegistryUserCreateSerializer'
      responses:
        '201':
          description: Created user details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegistryUserCreateResponseSerializer'
        '404':
          description: Registry not found
        '409':
          description: User already exists
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            registry_user_created = client.cloud.registries.users.create(
                registry_id=0,
                project_id=0,
                region_id=0,
                duration=14,
                name="user1",
            )
            print(registry_user_created.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tregistryUserCreated, err := client.Cloud.Registries.Users.New(\n\t\tcontext.TODO(),\n\t\t0,\n\t\tcloud.RegistryUserNewParams{\n\t\t\tProjectID: gcore.Int(0),\n\t\t\tRegionID:  gcore.Int(0),\n\t\t\tDuration:  14,\n\t\t\tName:      \"user1\",\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", registryUserCreated.ID)\n}\n"
components:
  schemas:
    RegistryUserCreateSerializer:
      properties:
        duration:
          description: User account operating time, days
          example: 14
          examples:
            - 14
          maximum: 365
          minimum: -1
          title: Duration
          type: integer
        name:
          description: |-
            A name for the registry user. 

            Should be in lowercase, consisting only of numbers and letters, 

            with maximum length of 16 characters
          example: user1
          examples:
            - user1
          pattern: ^[a-z0-9]{0,16}$
          title: Name
          type: string
        read_only:
          default: false
          description: Read-only user
          example: false
          examples:
            - false
          title: Read Only
          type: boolean
        secret:
          default: ''
          description: User secret
          title: Secret
          type: string
      required:
        - name
        - duration
      title: RegistryUserCreateSerializer
      type: object
    RegistryUserCreateResponseSerializer:
      properties:
        created_at:
          description: User creation date-time
          example: '2024-06-18T09:36:53.335000Z'
          examples:
            - '2024-06-18T09:36:53.335000Z'
          format: date-time
          title: Created At
          type: string
        duration:
          description: User account operating time, days
          example: 14
          examples:
            - 14
          title: Duration
          type: integer
        expires_at:
          description: User operation end date-time
          example: '2024-06-18T09:36:53.335000Z'
          examples:
            - '2024-06-18T09:36:53.335000Z'
          format: date-time
          title: Expires At
          type: string
        id:
          description: User ID
          example: 1
          examples:
            - 1
          title: Id
          type: integer
        name:
          description: User name
          example: user1
          examples:
            - user1
          title: Name
          type: string
        read_only:
          description: Read-only user
          example: false
          examples:
            - false
          title: Read Only
          type: boolean
        secret:
          description: User secret
          title: Secret
          type: string
      required:
        - id
        - name
        - read_only
        - duration
        - created_at
        - expires_at
        - secret
      title: RegistryUserCreateResponseSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````